# Class EdDSANamedCurveTable

java.lang.Object
org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSANamedCurveTable

public class EdDSANamedCurveTable extends Object
The named EdDSA curves.

Author:
  str4d

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ED_25519`

## Constructor Summary

Constructors
Constructor
Description
`EdDSANamedCurveTable()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`defineCurve(EdDSANamedCurveSpec curve)`
`static EdDSANamedCurveSpec`
`getByName(String name)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ED_25519

public static final String ED_25519

See Also:
  - Constant Field Values

## Constructor Details

### EdDSANamedCurveTable

public EdDSANamedCurveTable()

## Method Details

### defineCurve

public static void defineCurve(EdDSANamedCurveSpec curve)

### getByName

public static EdDSANamedCurveSpec getByName(String name)